=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT = qt5

%:
	dh $@
