## deepin-fcitxconfigtool-plugin 4.2.42

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,3 +9,6 @@
 #调用外部程序  生成qm文件
 execute_process(COMMAND bash translate_generation.sh
                 WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
+
+install(FILES com.deepin.fcitx-config.gschema.xml DESTINATION share/glib-2.0/schemas)
+install(CODE "execute_process(COMMAND glib-compile-schemas ${CMAKE_INSTALL_PREFIX}/share/glib-2.0/schemas)")
