=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,26 @@
 #二进制名称
 set(PROJECT_NAME_TEST
     ${PROJECT_NAME}_test)#项目名称设置
+
+find_package(ECM REQUIRED NO_MODULE)
+set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/../cmake)
+
+include(KDEInstallDirs)
+include(KDECMakeSettings)
+include(KDECompilerSettings)
+set(CMAKE_SAFETYTEST "CMAKE_SAFETYTEST_ARG_ON")
+if (${CMAKE_SYSTEM_PROCESSOR} STREQUAL "x86_64" OR ${CMAKE_SYSTEM_PROCESSOR} STREQUAL "aarch64")
+    set(CMAKE_SAFETYTEST "${CMAKE_SAFETYTEST_ARG}")
+    if(CMAKE_SAFETYTEST STREQUAL "")
+        set(CMAKE_SAFETYTEST "CMAKE_SAFETYTEST_ARG_OFF")
+    endif()
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -D${CMAKE_SAFETYTEST}")
+    if(CMAKE_SAFETYTEST STREQUAL "CMAKE_SAFETYTEST_ARG_ON")
+    #安全测试选项
+    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=undefined,address -O2")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fsanitize=undefined,address -O2")
+    endif()
+endif()
 
 if (CMAKE_BUILD_TYPE MATCHES Debug)
   set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -Wextra -fprofile-arcs -ftest-coverage -lgcov")
@@ -30,8 +50,6 @@
 #添加-fno-inline编译选项，禁止内联，能获取到函数地址，可以对内联函数进行打桩
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-inline")
 
-set(DOTEST ON)
-
 # 查找库
 enable_testing()
 find_package(GTest REQUIRED)
@@ -41,7 +59,7 @@
 find_package(DtkGui REQUIRED)
 find_package(DtkCore REQUIRED)
 find_package(DtkCMake REQUIRED)
-find_package(DdeControlCenter REQUIRED)
+#find_package(DdeControlCenter REQUIRED)
 find_package(Qt5 COMPONENTS Core REQUIRED)
 find_package(Qt5 COMPONENTS Gui REQUIRED)
 find_package(Qt5 COMPONENTS Widgets REQUIRED)
@@ -52,7 +70,8 @@
 find_package(Fcitx REQUIRED)
 find_package(FcitxQt5DBusAddons REQUIRED)
 find_package(FcitxQt5WidgetsAddons REQUIRED)
-
+find_package(KF5 REQUIRED COMPONENTS I18n)
+pkg_search_module(GSETTINGS REQUIRED gsettings-qt)
 #设置资源目录 加载资源文件 翻译文件 源码
 set(APP_RES_DIR "${CMAKE_CURRENT_SOURCE_DIR}/../res")
 #创建翻译文件 
@@ -82,7 +101,6 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/../src/fcitxInterface/*.h
     ${CMAKE_CURRENT_SOURCE_DIR}/../src/widgets/*.h
     ${CMAKE_CURRENT_SOURCE_DIR}/../src/window/*.h
-    ${CMAKE_CURRENT_SOURCE_DIR}/../src/i18n.h
     ${CMAKE_CURRENT_SOURCE_DIR}/../src/fcitxconfigplugin.h
     ${CMAKE_CURRENT_SOURCE_DIR}/../src/publisher/*.h)
 
@@ -91,7 +109,6 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/../src/fcitxInterface/*.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/../src/widgets/*.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/../src/window/*.cpp
-    ${CMAKE_CURRENT_SOURCE_DIR}/../src/i18n.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/../src/fcitxconfigplugin.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/../src/publisher/*.cpp)
 
@@ -117,16 +134,20 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/../src)
 
 target_include_directories(${PROJECT_NAME_TEST} PUBLIC
-        ${DdeControlCenter_INCLUDE_DIR}
+        "/usr/include/dde-control-center"
+#${DdeControlCenter_INCLUDE_DIR}
         ${DtkCore_INCLUDE_DIRS}
         ${DtkWidget_INCLUDE_DIRS}
         ${DFrameworkDBus_INCLUDE_DIRS}
         ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
         ${GTEST_INCLUDE_DIR}
+        ${GSETTINGS_INCLUDE_DIRS}
         )
 
 target_link_libraries(${PROJECT_NAME_TEST} PRIVATE
-        ${DdeControlCenter_LIBRARIES}
+        "/usr/lib/dde-control-center"
+#${DdeControlCenter_LIBRARIES}
+        KF5::I18n
         ${DFrameworkDBus_LIBRARIES}
         ${DtkWidget_LIBRARIES}
         ${Qt5Widgets_LIBRARIES}
@@ -140,6 +161,7 @@
         FcitxQt5::DBusAddons
         ${Qt5Test_LIBRARIES}
         ${GTEST_LIBRARIES}
+        ${GSETTINGS_LIBRARIES}
         )
 
 #------------------------------ 创建'make test'指令---------------------------------------
