=== debian/changelog ===
deepin-fcitxconfigtool-plugin (4.2.42-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 22 Dec 2021 10:17:51 +0800

deepin-fcitxconfigtool-plugin (4.2.41) unstable; urgency=medium

  * 为了龙芯1050集成升一位版本号

 -- Shijie Chen <chenshijie@uniontech.com>  Tue, 21 Dec 2021 15:55:00 +0800

deepin-fcitxconfigtool-plugin (0.1.35) unstable; urgency=medium

 * 1040 集成版本

 -- <chenshijie@uniontech.com> Thu Jun 17 10:00:00 2021 +0800
