=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,14 @@
 
 %:
 	dh $@
+
+
+override_dh_auto_configure:
+	dh_auto_configure -- \
+	  -DCMAKE_BUILD_TYPE=Release \
+	  -DCMAKE_SAFETYTEST_ARG="CMAKE_SAFETYTEST_ARG_OFF" \
+	  -DAPP_VERSION=$(DEB_VERSION_UPSTREAM) \
+	  -DVERSION=$(DEB_VERSION_UPSTREAM)
+
+override_dh_auto_test:
+    # Disable auto tests at build time
