## deepin-fcitxconfigtool-plugin 4.2.54

=== debian/changelog ===
deepin-fcitxconfigtool-plugin (4.2.54-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 19 May 2022 11:16:35 +0800
