## deepin-fcitxconfigtool-plugin 4.2.55

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,24 @@
 #版本设置
-set(VERSION 0.1)
+#set(VERSION 0.1)
 #二进制名称
 set(BIN_NAME deepin-fcitxconfigtool-plugin)
 #项目名称设置
 project(${BIN_NAME})
+
+#龙芯机器缺少符号表
+if (CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "mips64")
+    option(USE_MIPS64 "USE MIPS64" ON)
+    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3 -Wl,-O1 -Wl,--as-needed -Wl,-E -fPIE -ffunction-sections -fdata-sections -Wl,--gc-sections -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -z noexecstack")
+    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O3 -Wl,-O1 -Wl,--as-needed -Wl,-E -fPIE -ffunction-sections -fdata-sections -Wl,--gc-sections -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -z noexecstack")
+    SET(CMAKE_EXE_LINKER_FLAGS  "-pie")
+endif()
+
+find_package(ECM 1.0.0 REQUIRED NO_MODULE)
+set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
+
+include(KDEInstallDirs)
+include(KDECMakeSettings)
+include(KDECompilerSettings)
 
 if (CMAKE_BUILD_TYPE MATCHES Debug)
   set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -Wextra")
@@ -31,7 +46,7 @@
 find_package(DtkGui REQUIRED)
 find_package(DtkCore REQUIRED)
 find_package(DtkCMake REQUIRED)
-find_package(DdeControlCenter REQUIRED)
+#find_package(DdeControlCenter REQUIRED)
 find_package(Qt5 COMPONENTS Core REQUIRED)
 find_package(Qt5 COMPONENTS Gui REQUIRED)
 find_package(Qt5 COMPONENTS Widgets REQUIRED)
@@ -42,12 +57,14 @@
 find_package(Fcitx REQUIRED)
 find_package(FcitxQt5DBusAddons REQUIRED)
 find_package(FcitxQt5WidgetsAddons REQUIRED)
+find_package(KF5 REQUIRED COMPONENTS I18n)
 pkg_check_modules(DFrameworkDBus REQUIRED dframeworkdbus)
-
+pkg_check_modules(GSETTINGS REQUIRED gsettings-qt)
 #设置资源目录 加载资源文件 翻译文件 源码
 set(APP_RES_DIR "${CMAKE_CURRENT_SOURCE_DIR}/../res")
 set(APP_QRC "${APP_RES_DIR}/fcitxconfig.qrc")
 #创建翻译文件 
+#set(APP_QRC "${TS_DIR}/translations.qrc")
 set(TS_DIR "${CMAKE_CURRENT_SOURCE_DIR}/../translations")
 set(TS_FILES "${TS_DIR}/${PROJECT_NAME}_en_US.ts")
 #更新翻译
@@ -66,7 +83,6 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/fcitxInterface/*.h
     ${CMAKE_CURRENT_SOURCE_DIR}/widgets/*.h
     ${CMAKE_CURRENT_SOURCE_DIR}/window/*.h
-    ${CMAKE_CURRENT_SOURCE_DIR}/i18n.h
     ${CMAKE_CURRENT_SOURCE_DIR}/fcitxconfigplugin.h
     ${CMAKE_CURRENT_SOURCE_DIR}/publisher/*.h)
 
@@ -74,7 +90,6 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/fcitxInterface/*.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/widgets/*.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/window/*.cpp
-    ${CMAKE_CURRENT_SOURCE_DIR}/i18n.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/fcitxconfigplugin.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/publisher/*.cpp)
 
@@ -96,40 +111,47 @@
     ${TEST_SOURCE_FILES}
     )
 
-#    add_executable(${PROJECT_NAME}
-#        ${ALL_SRCS}
-#        ${DTNG_QM_FILES}
-#        ${CMAKE_CURRENT_SOURCE_DIR}/main.cpp
-#        )
+#add_executable(${PROJECT_NAME}
+#    ${ALL_SRCS}
+#    ${DTNG_QM_FILES}
+#    ${CMAKE_CURRENT_SOURCE_DIR}/main.cpp
+#    )
 
 add_library(${PROJECT_NAME}
-        MODULE
         ${ALL_SRCS}
         ${DTNG_QM_FILES}
+        ${TS_DIR}/translations.qrc
         )
 
 target_include_directories(${PROJECT_NAME} PUBLIC
-        ${DdeControlCenter_INCLUDE_DIR}
+        "/usr/include/dde-control-center"
+        #${DdeControlCenter_INCLUDE_DIR}
         ${DtkCore_INCLUDE_DIRS}
         ${DtkWidget_INCLUDE_DIRS}
         ${DFrameworkDBus_INCLUDE_DIRS}
         ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
+        ${FCITX4_FCITX_INCLUDE_DIRS}
+        ${FCITX4_FCITX_UTILS_INCLUDE_DIRS}
+        ${FCITX4_FCITX_CONFIG_INCLUDE_DIRS}
+        ${GSETTINGS_INCLUDE_DIRS}
         )
-
 target_link_libraries(${PROJECT_NAME} PRIVATE
-        ${DdeControlCenter_LIBRARIES}
+        KF5::I18n
+        "/usr/lib/dde-control-center"
+        #${DdeControlCenter_LIBRARIES}
         ${DFrameworkDBus_LIBRARIES}
         ${DtkWidget_LIBRARIES}
+        ${DtkCore_ILIBRARIES}
         ${Qt5Widgets_LIBRARIES}
         ${Qt5DBus_LIBRARIES}
         ${Qt5Concurrent_LIBRARIES}
-        ${DtkCore_INCLUDE_DIRS}
         ${OBJECT_BINARY_DIR}
         ${FCITX4_FCITX_UTILS_LIBRARIES}
         ${FCITX4_FCITX_CONFIG_LIBRARIES}
         ${FCITX4_FCITX_LIBRARIES}
         FcitxQt5::WidgetsAddons
         FcitxQt5::DBusAddons
+        ${GSETTINGS_LIBRARIES}
         )
 
 # Install settings
