=== debian/changelog ===
deepin-fcitxconfigtool-plugin (4.2.55-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 14 Jun 2022 14:25:17 +0800
