=== src/CMakeLists.txt ===
--- 
+++ 
@@ -32,13 +32,6 @@
   set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O2 -Wl,--gc-sections")
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O2 -Wl,--gc-sections -pthread")
 endif()
-
-# 环境设置
-set(CMAKE_INCLUDE_CURRENT_DIR ON)
-set(CMAKE_AUTOMOC ON)#moc 预编译包含QObject文件，生成xx_moc.h cpp
-set(CMAKE_AUTORCC ON)#开启rcc 编译资源文件qrc
-set(CMAKE_AUTOUIC ON)#开启uic 编译转换*.ui文件生存设计界面对应的.h .cpp文件
-set(CMAKE_CXX_STANDARD 14)
 
 # 查找库
 find_package(PkgConfig REQUIRED)
