=== debian/changelog ===
deepin-fcitxconfigtool-plugin (4.2.56-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 28 Jun 2022 15:35:37 +0800
