=== debian/control ===
Source: deepin-fcitxconfigtool-plugin
Section: utils
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: 
 debhelper (>= 11),
 qt5-qmake,
 libqt5widgets5,
 libqt5network5,
 libdtkwidget-dev,
 libdtkgui-dev,
 libdtkgui5,
 libdtkgui5-bin,
 libdtkcore5-bin,
 libdtkcore-dev,
 qttools5-dev,
 qttools5-dev-tools,
 pkg-config,
 cmake (>= 3.1),
 extra-cmake-modules,
 fcitx-bin,
 fcitx-libs-dev (>= 1:4.2.8),
 libfcitx-qt5-1,
 libfcitx-qt5-data,
 libfcitx-qt5-dev,
 iso-codes,
 libkf5i18n-dev,
 libdbus-glib-1-dev,
 libgtk-3-dev (>= 3.20),
 libgtk2.0-dev (>= 2.22),
 libunique-dev,
 libdframeworkdbus-dev,
 libgsettings-qt-dev,
 libgtest-dev,
 libgmock-dev,
 dde-control-center-dev
Standards-Version: 4.1.3
Homepage:  https://www.deepin.org/


Package: deepin-fcitxconfigtool-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: New Fcitx Configtool for Deepin Desktop Environment - development files
 Deepin Fcitxconfigtool Plugin is DDE Control Center plugin for Config Fcitx.
